package cn.superdesk.uniorder.dubbo.consumer.sys.notify;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyCategory;
import cn.superdesk.uniorder.dto.param.system.notify.SysNotifyCategoryParam;
import cn.superdesk.uniorder.dubbo.facade.sys.notify.DubboSysNotifyCategoryService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-03-01 17:37:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-03-01 17:37:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysNotifyCategoryDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysNotifyCategoryService dubboSysNotifyCategoryService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysNotifyCategoryParam param) {

		dubboSysNotifyCategoryService.addObj(param);

	}

	public void updateObj(SysNotifyCategoryParam param) {

		dubboSysNotifyCategoryService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysNotifyCategoryService.deleteObj(id);
	}

	public SysNotifyCategory findById(Long id) {

		return dubboSysNotifyCategoryService.findById(id);
	}

	public PageInfo<SysNotifyCategory> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysNotifyCategoryService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysNotifyCategory> findAll(Map<String, Object> queryMap) {

		return dubboSysNotifyCategoryService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysNotifyCategory(SysNotifyCategoryParam param) {

		dubboSysNotifyCategoryService.addSysNotifyCategory(param);
	}


	public void updateSysNotifyCategory(SysNotifyCategoryParam param) {

		dubboSysNotifyCategoryService.updateSysNotifyCategory(param);
	}


	public void deleteSysNotifyCategory(Long id) {
		dubboSysNotifyCategoryService.deleteSysNotifyCategory(id);
	}


	public SysNotifyCategory findSysNotifyCategoryById(Long id) {

		return dubboSysNotifyCategoryService.findSysNotifyCategoryById(id);
	}


	public R<List<SysNotifyCategory>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysNotifyCategoryService.pageQuery(conditions, pageNun, pageSize);
	}
}
